# QTextDocumentWriter Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QTextDocumentWriter()
- void QTextDocumentWriter(QIODevice device, QByteArray format)
- void QTextDocumentWriter(String fileName, QByteArray format)

### Constructor Properties

- prototype: The QTextDocumentWriter prototype object
- List supportedDocumentFormats()

### Prototype Object Properties

- QTextCodec codec()
- QIODevice device()
- String fileName()
- QByteArray format()
- void setCodec(QTextCodec codec)
- void setDevice(QIODevice device)
- void setFileName(String fileName)
- void setFormat(QByteArray format)
- bool write(QTextDocument document)

### Instance Properties

QTextDocumentWriter objects have no special properties beyond those inherited from the QTextDocumentWriter prototype object.